Skip to main content
`Ctrl`+`K`

# PetscViewerVTKOpen

Opens a `PETSCVIEWERVTK` viewer file.

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerVTKOpen(MPI_Comm comm, const char name[], PetscFileMode type, PetscViewer *vtk)

Collective

## Input Parameters

- comm - MPI communicator

- name - name of file

- type - type of file

      FILE_MODE_WRITE - create new file for binary output
      FILE_MODE_READ - open existing file for binary input (not currently supported)
      FILE_MODE_APPEND - open existing file for binary output (not currently supported)

## Output Parameter

- vtk - `PetscViewer` for VTK input/output to use with the specified file

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERVTK`, `PetscViewerASCIIOpen()`, `PetscViewerPushFormat()`, `PetscViewerDestroy()`, `VecView()`, `MatView()`, `VecLoad()`, `MatLoad()`, `PetscFileMode`, `PetscViewer`

## Level

beginner

## Location

src/sys/classes/viewer/impls/vtk/vtkv.c

## Examples

src/snes/tutorials/ex15.c
src/dm/impls/stag/tutorials/ex4.c
src/ksp/ksp/tutorials/ex42.c
src/dm/impls/stag/tutorials/ex6.c
src/snes/tutorials/ex16.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages